#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Dbusmenu.Objects.Client where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Client = Client (ManagedPtr Client)
instance GObject Client where
class (GObject o, O.IsDescendantOf Client o) => IsClient o
instance (GObject o, O.IsDescendantOf Client o) => IsClient o
instance O.HasParentTypes Client
#if ENABLE_OVERLOADING
data ClientDbusNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data ClientDbusObjectPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ClientGroupEventsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ClientEventResultSignalInfo
#endif
#if ENABLE_OVERLOADING
data ClientIconThemeDirsChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ClientItemActivateSignalInfo
#endif
#if ENABLE_OVERLOADING
data ClientLayoutUpdatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ClientNewMenuitemSignalInfo
#endif
#if ENABLE_OVERLOADING
data ClientRootChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data ClientAddTypeHandlerMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClientAddTypeHandlerFullMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClientGetIconPathsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClientGetRootMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClientGetStatusMethodInfo
#endif
#if ENABLE_OVERLOADING
data ClientGetTextDirectionMethodInfo
#endif
