#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Dbusmenu.Objects.Menuitem where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Menuitem = Menuitem (ManagedPtr Menuitem)
instance GObject Menuitem where
class (GObject o, O.IsDescendantOf Menuitem o) => IsMenuitem o
instance (GObject o, O.IsDescendantOf Menuitem o) => IsMenuitem o
instance O.HasParentTypes Menuitem
#if ENABLE_OVERLOADING
data MenuitemIdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemAboutToShowSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemChildAddedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemChildMovedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemChildRemovedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemEventSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemItemActivatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertyChangedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemRealizedSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemShowToUserSignalInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemChildAddPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemChildAppendMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemChildDeleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemChildFindMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemChildPrependMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemChildReorderMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemFindIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemForeachMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemGetChildrenMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemGetIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemGetParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemGetPositionMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemGetPositionRealizedMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemGetRootMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemHandleEventMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertiesCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertiesListMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertyExistMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertyGetMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertyGetBoolMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertyGetByteArrayMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertyGetIntMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertyGetVariantMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertyRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertySetMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertySetBoolMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertySetByteArrayMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertySetIntMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemPropertySetVariantMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemSendAboutToShowMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemSetParentMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemSetRootMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemShowToUserMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemTakeChildrenMethodInfo
#endif
#if ENABLE_OVERLOADING
data MenuitemUnparentMethodInfo
#endif
